FolksDummy.FullPersona.update_im_addresses – folks-dummy Reference Manual

# update_im_addresses

## Description:

public void update_im_addresses (MultiMap<string,ImFieldDetails> im_addresses)

Update persona's IM addresses.

This simulates a backing-store-side update of the persona's Folks.ImDetails.im_addresses property. It is intended to be used for testing code which consumes this property. If the property value changes, this results in a property change notification on the persona.

## Parameters:

im_addresses | persona's new IM addresses

## Since:

0.9.7